import * as AST from "../ast";

export interface ISelectStatementOptions {
  arguments: AST.Primary[];
  from?: AST.Primary | null;
}

export class SelectStatement {
  public arguments: AST.Primary[];
  public from: AST.Primary | null;

  constructor(opts: ISelectStatementOptions) {
    this.arguments = opts.arguments;
    this.from = opts.from ? opts.from : null;
  }
}
